<!DOCTYPE html>
<html lang="es">
  <head>
  <title>Vehiculo</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,500,700" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.4/css/bootstrap.min.css" crossorigin="anonymous">
    <!-- Main CSS -->
    <link rel="stylesheet" href="../CSS/estilo.css" type="text/css">
    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    
    <script src="https://www.gstatic.com/firebasejs/4.12.1/firebase.js"></script>
    <script src="https://www.gstatic.com/firebasejs/4.12.1/firebase-firestore.js"></script>
    <script type="text/javascript" src="../JS/vehiculo.js"></script>
    <script type="text/javascript" src="../JS/bd.js"></script>
  </head>
  <body onload="enCarga();">
    <header>
      <div class="container">
        <div class="row">

          <div class="col-md-6">
              <img src="../IMAGENES/logo_r1.png" alt="LogoCano" id="logo">
          </div>

          <div class="col-md-6">

            <ul class="social-header list-inline text-xs-right">
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-facebook fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-twitter fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-youtube fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                    <span class="fa-stack fa-lg">
                        <i class="fa fa-circle fa-stack-2x"></i>
                        <i class="fa fa-instagram fa-stack-1x fa-inverse"></i>
                      </span>
                  </a>
              </li>
            </ul>

          </div>

        </div>
      </div>

      <div class="menu-bar text-xs-right">
        <nav class="container form-group" role="menu" >
          <ul class="menu-list list-inline">
              <li class="list-inline-item">
                  <a href="../HTML/index.html">Inicio</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/cliente.html">Cliente</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/vehiculo.html">Vehiculo</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/alquiler.html">Alquiler</a>
                </li>
                <li class="list-inline-item">
                  <a href="../HTML/contacto.html">Contacto</a>
                </li>
            </ul>
        </nav>
      </div>
    </header>

    <div class="container" id="botonMarMol">
        <div class="row">
            <div class="form-group">
                <button onclick="editMarcas();" type="button" class="btn btn-success">Marcas</button>
                <button onclick="editModelo();" type="button" class="btn btn-success">Modelos</button>
            </div>
        </div>
        <div class="row" id="divMarcas">
            <h3>Marcas</h3>
          <div class="col-sm-6 form-group">
            <input id="txtMarca" type="text" class="form-control form-group" disabled/>
            <button onclick="agregarMarcas('null');" class="btn btn-primary" id="btnMasMarca">+</button>
            <button onclick="guardarMarcas();" class="btn btn-success" id="btnGuardarMarca">Guardar</button>
            <button onclick="irAlInicio();" class="btn btn-danger" id="btnRegresarMarca">Regresar</button>
            <button type="button" name="button" class="btn btn-danger" id="btnCancelar" style="visibility: hidden">Cancelar</button>
          </div>
          <div class="col-sm-6">
            <div id="divListaMarcas"></div>
          </div>
        </div>
        <div class="row" id="divModelos">
            <div class="col-sm-6 form-group">
                <div class="input-group form-group">
                    <span class="input-group-addon">Marca: </span>
                    <select id="selectMarca" class="form-control" disabled></select>
                </div>
                <input id="txtModelo" type="text" class="form-control form-group" disabled/>
                <button onclick="agregarModelo();" class="btn btn-primary" id="btnMasModelo">+</button>
                <button onclick="guardarModelo();" class="btn btn-success" id="btnGuardarModelo">Guardar</button>
                <button onclick="irAlInicio();" class="btn btn-danger" id="btnRegresarModelo">Regresar</button>
                <button type="button" name="button" class="btn btn-danger" id="btnCancelarModelo" style="visibility: hidden">Cancelar</button>
            </div>
              <div  class="col-sm-6 form-group">
                  <h3>Modelos</h3> 
                  <table class="table datatable">
                    <thead>
                      <tr>
                        <th>Marcas</th>
                        <th>Modelos</th>
                      </tr>
                    </thead>
                    <tbody id="divListaModelos">
          
                    </tbody>
                  </table>
          
                  
                </div>
          </div>
    </div>
      <!-- //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
      
    <div class="row" id="contenedorFormulario">
        <div class="container">
            <div class="row" id="divMain">
                <div class="col-sm-12 text-xs-center form-group">
                  <h2>Registro de vehiculos</h2>
                </div>
          <form id="frmDatos">
              <div class="col-md-6">
                  <div class="input-group form-group">
                    <span class="input-group-addon">Matricula: </span>
                    <input id="matricula" class="form-control" placeholder="ABC-1234" onchange="validarAutoExistente(this.value);" onblur="validarPlaca();" maxlength="8" disabled>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Marca: </span>
                    <select onchange="filtrarModelo(this);" id="selectMarcaVehiculo" class="form-control" disabled></select>
                  </div>
  
                  
                  <div class="input-group form-group">
                    <span class="input-group-addon">Tipo: </span>
                    <input id="tipo" class="form-control" disabled>
                  </div>
  
                  <div class="input-group form-group">
                    <span class="input-group-addon">No. Motor: </span>
                    <input id="motor" class="form-control" disabled>
                  </div>
                  <div class="input-group form-group">
                    <span class="input-group-addon">Color: </span>
                    <input id="color" class="form-control" disabled>
                  </div>
            </div>
            <div class="col-md-6">
                <div class="input-group form-group">
                  <p><i class="fa fa-car" aria-hidden="true"></i></p>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Modelo: </span>
                  <select id="selectModelo" class="form-control" disabled></select>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Trasmision: </span>
                    <span class="input-group-addon">
                      <label><input type="radio" id="transmisionAT" name="transmision" value="AT" disabled/> Auto</label>
                    </span>
                    <span class="input-group-addon">
                      <label><input type="radio" id="transmisionME" name="transmision" value="ME" disabled/> Mec</label>
                    </span>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">No. Chasis: </span>
                  <input id="chasis" class="form-control" disabled>
                </div>
                <div class="input-group form-group">
                  <span class="input-group-addon">Tarifa: </span>
                  <input id="tarifa" class="form-control" disabled>
                </div>
            </div>
          </div>
          <div class="row" id="divBtn">
              <div class="col-sm-6">
                  <div class="form-group">
                      <button type="button" name="button" class="btn btn-primary" onclick="validarGuardado();" id="btnGuardarVehiculo">Guardar</button>
                      <button type="button" name="button" class="btn btn-success" onclick="nuevoVehiculo();" id="btnNuevoVehiculo">Nuevo</button>
                      <button type="button" name="button" class="btn btn-warning" onclick="buscarVehiculo();" id="btnBuscarVehiculo">Buscar</button>
                      <button type="button" name="button" class="btn btn-danger" onclick="cancelarVehiculo();" id="btnCancelarVehiculo">Cancelar</button>
                    </div>
              </div>
          </div>
        </div>
      </form>
    </div>  
    <div class="container">
        <div class="row" id="divBuscar">
            <div class="col-sm-6" >
              <form>
                  <input id="searchTerm" type="text" onkeyup="buscarGeneralVehiculo()" class="form-control form-group"/>
                  <button type="button" name="button" onclick="ocultarBuscarVehiculo();" class="btn btn-primary">Regresar</button>
              </form>
            </div>
        </div>
    </div>
 
    <div class="" id="tabla">
      <table class="table" id="datos">
        <thead>
          <tr>
            <th>Matricula</th>
            <th>Marca</th>
            <th>Modelo</th>
            <th>Tipo</th>
            <th>Transmision</th>
            <th>Color</th>
            <th>No. Motor</th>
            <th>No. Chasis</th>
            <th>Tarifa</th>
            <th>Accion</th>
          </tr>
        </thead>
        <tbody id="tbDestino">

        </tbody>
      </table>
  </div>
    
    <footer>
      <div class="container">
        <div class="row">
          <div class="col-sm-12 text-xs-center">
          &copy;2017 - Todos los derechos reservados.
          </div>
        </div>
      </div>
    </footer>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="http://code.jquery.com/jquery-3.1.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js" integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1" crossorigin="anonymous"></script>
    <script src="https://use.fontawesome.com/025d1f53df.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.5.2/firebase-app.js"></script>
    <link href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css" rel="stylesheet" >
    <script src="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script>
      //importamos configuraciones de toastr
      toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "positionClass": "toast-bottom-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
      }
      </script>  
  </body>
</html>
